Index: ether_ndacc/trunk/persistence/implementation/com/ether/dao/plot/PlotDAOImpl.java
===================================================================
--- ether_ndacc/trunk/persistence/implementation/com/ether/dao/plot/PlotDAOImpl.java	(revision 364)
+++ ether_ndacc/trunk/persistence/implementation/com/ether/dao/plot/PlotDAOImpl.java	(revision 405)
@@ -41,4 +41,25 @@
 		return selectAllByCriteria(String.class, criteria);
 	}
+
+    @Nullable
+    public List<String> getPlotsByDateByInstrumentByStationByType(@NotNull final String instrument, @NotNull final Date pFormatDate_deb, @NotNull final Date pFormatDate_fin, @NotNull final String station, @NotNull final String type)
+            throws PersistenceException
+        {
+            String vtype = type;
+
+            final DetachedCriteria criteria = DetachedCriteria.forClass(Plot.class,"plot")
+                .addOrder(Order.asc("plot.name"))
+                .add(Restrictions.ge("datedeb", pFormatDate_deb))
+                .add(Restrictions.lt("datedeb", pFormatDate_fin))
+                .createCriteria("instrument","instrument").add(Restrictions.ilike("instrument.name",instrument,MatchMode.ANYWHERE))
+                .createCriteria("station","station").add(Restrictions.ilike("station.name",station,MatchMode.ANYWHERE))
+                .add(Restrictions.ilike("plot.name",vtype,MatchMode.ANYWHERE));
+
+
+            //select pl_name de nd_plot
+            criteria.setProjection(Projections.property("plot.name"));
+
+            return selectAllByCriteria(String.class, criteria);
+        }
 
 	@Nullable
@@ -86,5 +107,6 @@
 	}
 
-	@Nullable
+
+    @Nullable
 	public List<Date> getListeDistinctDates() 
 		throws PersistenceException 
Index: ether_ndacc/trunk/persistence/interface/com/ether/dao/plot/PlotDAO.java
===================================================================
--- ether_ndacc/trunk/persistence/interface/com/ether/dao/plot/PlotDAO.java	(revision 364)
+++ ether_ndacc/trunk/persistence/interface/com/ether/dao/plot/PlotDAO.java	(revision 405)
@@ -22,3 +22,6 @@
 	@Nullable
 	public List<String> getPlotsByDateByInstrumentByStation(@NotNull final String instrument, @NotNull final Date pFormatDate_deb, @NotNull final Date pFormatDate_fin, @NotNull final String station) throws PersistenceException;
+
+    @Nullable
+	public List<String> getPlotsByDateByInstrumentByStationByType(@NotNull final String instrument, @NotNull final Date pFormatDate_deb, @NotNull final Date pFormatDate_fin, @NotNull final String station, @NotNull final String type) throws PersistenceException;
 }
Index: ether_ndacc/trunk/service/implementation/com/ether/PlotServiceImpl.java
===================================================================
--- ether_ndacc/trunk/service/implementation/com/ether/PlotServiceImpl.java	(revision 364)
+++ ether_ndacc/trunk/service/implementation/com/ether/PlotServiceImpl.java	(revision 405)
@@ -68,6 +68,54 @@
 		}
 	}
-	
-	@Transactional(readOnly = true)	
+
+@Nullable
+	@Transactional(readOnly = true)
+	public List<String> getPlotsByDateByInstrumentByStationByType(@NotNull final String instrument, @NotNull String pdate, @NotNull String ft, @NotNull String station, @NotNull String type)
+		throws ServiceException
+	{
+		try {
+
+			final DateFormat pFormatDate = new SimpleDateFormat(ft);
+			String fdate;
+			final String tt="yyyyMMdd";
+			if (ft.compareTo(tt) == 0) fdate="19700101";
+			else fdate = "1970";
+
+			if (pdate.compareTo(fdate) == 0 ) {
+				final Date ldate = _plotDAO.getLastDateByInstrumentByStation(instrument,station);
+
+				//ldate="20070101";
+				//ldate="20060101";
+
+				String s1="-", s2="", d1="01";
+				fdate=ldate.toString().replaceAll(s1,s2);
+
+				s1=" 00:00:00.0";
+				fdate=fdate.replaceAll(s1,s2);
+				fdate=fdate.substring(0,6);
+
+				fdate=fdate.concat(d1);
+				pdate=fdate;
+			}
+			else {
+				fdate=pdate;
+			}
+
+			final Date pFormatDate_deb = pFormatDate.parse(fdate);
+			Date pFormatDate_fin;
+			if (ft.compareTo(tt) == 0) pFormatDate_fin = DateUtils.datesAddMonth(pFormatDate_deb,1);
+			else pFormatDate_fin = DateUtils.datesAddYear(pFormatDate_deb,1);
+
+			return _plotDAO.getPlotsByDateByInstrumentByStationByType(instrument, pFormatDate_deb, pFormatDate_fin, station, type);
+
+		} catch (ParseException e) {
+			throw new ServiceException(ServiceException.ServiceCode.DATES_PARSE_ERROR, e);
+		} catch (PersistenceException e) {
+			throw new ServiceException(ServiceException.ServiceCode.INSTRUMENT_ERROR, e);
+		}
+	}
+
+
+    @Transactional(readOnly = true)
 	public List<String> getPlotsByDateByInstrument(@NotNull final String instrument, @NotNull String pdate, @NotNull String ft) 
 		throws ServiceException
Index: ether_ndacc/trunk/service/interface/com/ether/PlotService.java
===================================================================
--- ether_ndacc/trunk/service/interface/com/ether/PlotService.java	(revision 364)
+++ ether_ndacc/trunk/service/interface/com/ether/PlotService.java	(revision 405)
@@ -17,4 +17,6 @@
     List<String> getPlotsByDateByInstrumentByStation(@NotNull final String instrument, String pdate, String ft, String station) throws ServiceException;    
    // List<String> getLastDate(@NotNull final String instrument) throws ServiceException;
+    @Nullable
+    List<String> getPlotsByDateByInstrumentByStationByType(@NotNull final String instrument, String pdate, String ft, String station, String type) throws ServiceException;
    
 }
Index: ether_ndacc/trunk/web/about.jsp
===================================================================
--- ether_ndacc/trunk/web/about.jsp	(revision 364)
+++ ether_ndacc/trunk/web/about.jsp	(revision 405)
@@ -23,5 +23,5 @@
 
 <p>
-<img border=1 src="resources/images/fr.jpg" alt="French version">&nbsp;<a href="#en"><img border=1 src="resources/images/en.jpg" alt="English version"></a>
+<img border=1 src="resources/images/fr.jpg" alt="French version">
 <br>
 
@@ -48,5 +48,7 @@
 des profils de vapeur dâeau par radiomÃ©trie micro-ondes et lidar RamanÂ ;
 des mesures de CH4, HCl, HF, CO, N2O par spectromÃštre FTIR (instrument IASB Ã  lâÃ®le de La RÃ©union).
-                   <br>
+                 <br>
+        <br>
+    <b><A HREF="mailto:Renaud.Bodichon@ipsl.jussieu.fr">Contact webmaster</A></b>
 
 <p id="en">
Index: ether_ndacc/trunk/web/data_ddu.jsp
===================================================================
--- ether_ndacc/trunk/web/data_ddu.jsp	(revision 364)
+++ ether_ndacc/trunk/web/data_ddu.jsp	(revision 405)
@@ -30,5 +30,5 @@
 
 <a class="onglet" href="station?methodName=viewDataOhp" title="Observatoire de Haute Provence">OHP</a>
-<a class="onglet" href="station?methodName=viewDataOmp" title="Observatoire de physique de l'atmosph&egrave;re de La R&eacute;union">La R&eacute;union</a>
+<a class="onglet" href="station?methodName=viewDataOpar" title="Observatoire de physique de l'atmosph&egrave;re de La R&eacute;union">La R&eacute;union</a>
 <span class="onglet-actif" title="Dumont d'Urville">Dumont d'Urville</span>
 <a class="onglet" href="station?methodName=viewDataOmp">OMP</a>
@@ -63,5 +63,5 @@
 	<td height="10" valign="top" width=170 class="cielb"><spring:message code="Logistique"/></td>
 	<td width="" class="cielbp"><a class="cielbp" href="http://www.institut-polaire.fr/" target="_blank">IPEV</a></td>
-	<td align=center rowspan=5 class="ciel"><img border=1 src="resources/images/ddu.jpg" width="340" height=""></td>
+	<td align=center rowspan=5 class="ciel"><img  border=1 src="resources/images/ddu.jpg" width="340" height=""></td>
 </tr>
 <tr>
@@ -141,5 +141,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./aerosols.jsp', NWIN1, WCONF1);">Aerosols</a> and PSC profiles</td>
     <td class="blanc2" width="15%">J. Jumelet and M. Snels (CNR/ISAC, Italy)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/lidar/')">1989-1998, 2006-2008</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/lidar/')">1989-1998, 2006-2010</a>
     <br><i>pattern files : duae[yy][mm].dal</i></td>
 
Index: ether_ndacc/trunk/web/data_ohp.jsp
===================================================================
--- ether_ndacc/trunk/web/data_ohp.jsp	(revision 364)
+++ ether_ndacc/trunk/web/data_ohp.jsp	(revision 405)
@@ -169,5 +169,5 @@
 <br><span class="itap"><i>(10-50 km)</i></span></td>
 <td class="blanc2" width="">S. Godin-Beekmann</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1985-2010</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1985-2011</a>
 <br><i>pattern files : oho3[yy][mm].gol</i></td>
 <td class="orange" nowrap align="center">
@@ -205,5 +205,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./aerosols.jsp', NWIN1, WCONF1);">Aerosols</a> profiles</td>
 <td class="blanc2" width="">J. Jumelet et P. Keckhut</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1991-1994, 1999-2008/04</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1991-1994, 1999-2010/08</a>
 <br><i>pattern files : ohae[yy][mm].dal</i></td>
 
@@ -232,5 +232,10 @@
 </td>
 
-<td class="orange" nowrap>&nbsp;</td>
+<td class="orange" nowrap>
+    <a href="" title="Results" onclick="OuvrirFeuilleDynW ('instrument?methodName=selectEccRT&instrument=ECC&dateinf=19700101&station=OHP&type=rt#','700','650')">
+    <img border=1 src="resources/images/results.jpg" width="60px"></img>
+    </a>
+
+</td>
 <td class="vert" width=""><spring:message code="courant"/></td>
 </tr>
@@ -250,5 +255,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
 <td class="blanc2" width="">R. Evans and M-R Debacker (NOAA)</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/dobson/')">1983-2010</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/dobson/')">1983-2011</a>
 <br><i>pattern files : ohtc[yy][mm].evd</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_dobson.jsp?station=ohp')">
Index: ether_ndacc/trunk/web/dobson.jsp
===================================================================
--- ether_ndacc/trunk/web/dobson.jsp	(revision 364)
+++ ether_ndacc/trunk/web/dobson.jsp	(revision 405)
@@ -21,5 +21,5 @@
 <a id="c6752"></a>  <h1 align=center><font color="#0066FF">Dobson</font></h1>
 
-     <table width="100%" border="0" align="center" bordercolor="#FFFFFF">
+    <table width="100%" border="0" align="center" bordercolor="#FFFFFF">
                 <tr>
                   <td width="100%"><div align="justify"><p>Le spectrophotomÃštre de Dobson  doit son nom au chercheur de l'UniversitÃ© d'Oxford, 
@@ -33,7 +33,11 @@
 valeur nulle sur l'ampÃšre-mÃštre : la position lue sur le disque est enregistrÃ©e. Elle est ensuite 
 introduite dans une Ã©quation qui permet de dÃ©terminer la quantitÃ© de molÃ©cules d'ozone dans
- la colonne verticale situÃ©e au dessus de l'instrument.</p><br><br><br><br><br><br><br><br><br><br></div></td>
-</tr>
+ la colonne verticale situÃ©e au dessus de l'instrument.</p><br><br>
+
+                      <img src="resources/images/dobson.jpg" width="400" height="">
+                      <br><br><br><br><br><br><br><br></div></td>
+
 </div></td>
+                    </tr>
 
               </table>
Index: ether_ndacc/trunk/web/src/com/ether/Controller.java
===================================================================
--- ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 364)
+++ ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 405)
@@ -237,4 +237,62 @@
     }
 
+    @ControllerMethod(view = VIEW_ECC_RT)
+        public Map<String, Object> selectEccRT( @ParamName("dateinf") final String dateinf,
+                                              @ParamName("station") String station,
+                                              @ParamName("instrument") final String instrument,
+                                              @ParamName("type") final String type )
+                throws WebException
+        {
+            try
+            {
+
+                final List<String> plotsList = _plotService.getPlotsByDateByInstrumentByStationByType( instrument, dateinf, "yyyyMMdd", station, type );
+
+                //dateinf="02021980";
+                //List<String> ListDates = _plotService.getLastDate(instrument);
+                final List<String> listeDates = _serviceTools.getListeDates();
+                String rep = "";
+                String year = dateinf.substring( 0, 4 );
+
+                if( station.compareTo( "OHP" ) == 0 || station.compareTo( "ohp" ) == 0 )
+                {
+                    rep = "./resources/visu/ohp/ecc";
+                    station = "OHP";
+                    if( year.compareTo( "1970" ) == 0 ) year = "2012";
+                }
+                else if( station.compareTo( "LA REUNION" ) == 0 || station.compareTo( "reunion" ) == 0 )
+                {
+                    rep = "./resources/visu/reu/ecc";
+                    //rep="./resources/visu/ohp/lidar/o3_strato";
+                    station = "LA REUNION";
+                    if( year.compareTo( "1970" ) == 0 ) year = "2006";
+                    //year="2006";
+                }
+                else if( station.compareTo( "DDU" ) == 0 || station.compareTo( "ddu" ) == 0 )
+                {
+                    rep = "./resources/visu/ddu/ecc";
+                    //rep="./resources/visu/ohp/lidar/o3_strato";
+                    station = "DDU";
+                    if( year.compareTo( "1970" ) == 0 ) year = "1991";
+                    //year="2006";
+                }
+
+                final Map<String, Object> model = new HashMap<String, Object>();
+                model.put( "plotsList", plotsList );
+                model.put( "listeDates", listeDates );
+                model.put( "firstDate", dateinf );
+                final String month = dateinf.substring( 4, 6 );
+                model.put( "month", month );
+                model.put( "year", year );
+                model.put( "station", station );
+                model.put( "rep", rep );
+                return model;
+            }
+            catch( ServiceException e )
+            {
+                throw new WebException( WebException.WebCode.SERVICE_PROBLEM, e );
+            }
+        }
+
     public ModelAndView viewLidarO3s( final HttpServletRequest request, final HttpServletResponse response )
             throws WebException
@@ -546,5 +604,5 @@
                 {
                     year = "2010";
-                    month = "01";
+                    month = "11";
                 }
             }
@@ -747,4 +805,5 @@
     private static final String VIEW_UMK = "visus_umk";
     private static final String VIEW_ECC = "visus_ecc";
+    private static final String VIEW_ECC_RT = "visus_ecc_realtime";
     private static final String VIEW_SPECTRO_UV = "visus_spectro";
     private static final String VIEW_LIDAR_TEMP = "visus_lidar_temp";
Index: ether_ndacc/trunk/web/visus_ecc.jsp
===================================================================
--- ether_ndacc/trunk/web/visus_ecc.jsp	(revision 364)
+++ ether_ndacc/trunk/web/visus_ecc.jsp	(revision 405)
@@ -14,5 +14,5 @@
 		
 	
-	<title>OHP LIDAR PLOTS</title>
+	<title>OHP ECC PLOTS</title>
 	 
 	<meta name="generator" content="TYPO3 4.1 CMS" />
@@ -35,5 +35,5 @@
 <td width=50px  class=blanc2 align=right><spring:message code="annee"/>&nbsp;
 <select id="year" onChange='loadVisus()'>
-
+    <option value='2011' <c:if test="${year == '2011'}">selected</c:if> >2011</option>
 	<option value='2010' <c:if test="${year == '2010'}">selected</c:if> >2010</option>
 	<option value='2009' <c:if test="${year == '2009'}">selected</c:if> >2009</option>
Index: ether_ndacc/trunk/web/visus_ecc_realtime.jsp
===================================================================
--- ether_ndacc/trunk/web/visus_ecc_realtime.jsp	(revision 405)
+++ ether_ndacc/trunk/web/visus_ecc_realtime.jsp	(revision 405)
@@ -0,0 +1,105 @@
+<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
+<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>
+<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
+<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+
+<html>
+<head>
+
+	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+
+	<link rel="stylesheet" type="text/css" href="./resources/css/ndacc.css">
+		
+	
+	<title>OHP ECC REALTIME PLOTS</title>
+	 
+	<meta name="generator" content="TYPO3 4.1 CMS" />
+	<script type="text/javascript" src="<c:url value="./resources/css/etherTypo.js"/>">
+	
+	</script>
+</head>
+
+<body class=plein>
+<form name="thisForm">
+<table cellpadding="2" cellspacing="2" border=0 width=100%>
+<input type="hidden" value="selectEccRT" name="methodName">
+<input type="hidden" value="ECC" name="instrument">
+<input type="hidden" value="${station}" name="station">
+<input type="hidden" value="rt" name="type">
+<input type="hidden" value="${firstDate}" id="di" name="dateinf">     <%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
+<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>
+<tr>
+
+<td width=90px height=5 class=blanc1>${station} OZONE SONDE REALTIME</td>
+<td width=50px  class=blanc2 align=right><spring:message code="annee"/>&nbsp;
+<select id="year" onChange='loadVisus()'>
+    <option value='2012' <c:if test="${year == '2012'}">selected</c:if> >2012</option>
+    <option value='2011' <c:if test="${year == '2011'}">selected</c:if> >2011</option>
+</select>
+</td>
+
+<td width=50px class=blanc2 align=left><spring:message code="mois"/>&nbsp;
+<select id="month" onChange='loadVisus()'>
+	<option value='01' <c:if test="${month == '01'}">selected</c:if> ><spring:message code="janvier"/></option>
+	<option value='02' <c:if test="${month == '02'}">selected</c:if> ><spring:message code="fevrier"/></option>
+	<option value='03' <c:if test="${month == '03'}">selected</c:if> ><spring:message code="mars"/></option>
+	<option value='04' <c:if test="${month == '04'}">selected</c:if> ><spring:message code="avril"/></option>
+	<option value='05' <c:if test="${month == '05'}">selected</c:if> ><spring:message code="mai"/></option>
+	<option value='06' <c:if test="${month == '06'}">selected</c:if> ><spring:message code="juin"/></option>
+	<option value='07' <c:if test="${month == '07'}">selected</c:if> ><spring:message code="juillet"/></option>
+	<option value='08' <c:if test="${month == '08'}">selected</c:if> ><spring:message code="aout"/></option>
+	<option value='09' <c:if test="${month == '09'}">selected</c:if> ><spring:message code="septembre"/></option>
+	<option value='10' <c:if test="${month == '10'}">selected</c:if> ><spring:message code="octobre"/></option>
+	<option value='11' <c:if test="${month == '11'}">selected</c:if> ><spring:message code="novembre"/></option>
+	<option value='12' <c:if test="${month == '12'}">selected</c:if> ><spring:message code="decembre"/></option>
+</select>
+
+</tr>
+</table>
+<table width=100%>
+<tr>
+<td class=ciel width=200px colspan=5 valign=top>
+<table cellpadding="2" cellspacing="2" border=0>
+
+<c:choose>
+	<c:when test="${plotsList=='[]'}"><tr><td class="rougeb"><spring:message code="noplot.period"/></td></tr>
+	</c:when>
+	<c:otherwise>
+		<c:forEach items="${plotsList}" var="plot" varStatus="status">
+		<c:choose>
+		<c:when test="${(status.index) % 5 == 0}"><tr>
+		</c:when>
+		</c:choose>
+	
+		<td align=center valign=top><a href="#" onclick="OuvrirFeuilleDynPL ('${rep}/${plot}');"><img border=2 width=100 height=120 src="${rep}/${plot}"></img></a></td>
+	
+		<c:choose>
+		<c:when test="${(status.index+1) % 5 == 0}"></tr>
+		</c:when>
+		</c:choose>
+		</c:forEach>
+
+		<c:choose>
+		<c:when test="${(status.index+1) % 5 != 0}"></tr>
+		</c:when>
+		</c:choose>
+
+	</c:otherwise>
+</c:choose>
+</table>
+</td>
+
+
+</tr>
+
+
+
+<tr>
+<td height=500px>&nbsp;</td>
+</tr>
+</table>
+</form>
+</body>
+</html>
Index: ether_ndacc/trunk/web/visus_lidar_o3s.jsp
===================================================================
--- ether_ndacc/trunk/web/visus_lidar_o3s.jsp	(revision 364)
+++ ether_ndacc/trunk/web/visus_lidar_o3s.jsp	(revision 405)
@@ -35,5 +35,5 @@
 <td width=50px  class=blanc2 align=right><spring:message code="annee"/>&nbsp;
 <select id="year" onChange='loadVisus()'>
-
+    <option value='2011' <c:if test="${year == '2011'}">selected</c:if> >2011</option>
 	<option value='2010' <c:if test="${year == '2010'}">selected</c:if> >2010</option>
 	<option value='2009' <c:if test="${year == '2009'}">selected</c:if> >2009</option>
@@ -62,5 +62,4 @@
 	<option value='1986' <c:if test="${year == '1986'}">selected</c:if> >1986</option>
 	<option value='1985' <c:if test="${year == '1985'}">selected</c:if> >1985</option>
-	
 </select>
 </td>