Index: tapas/persistence/implementation/com/ether/dao/Parameter.hbm.xml
===================================================================
--- tapas/persistence/implementation/com/ether/dao/Parameter.hbm.xml	(revision 410)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?xml version="1.0"?>
-<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
-"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
-<!-- Generated 5 f?vr. 2007 11:07:12 by Hibernate Tools 3.2.0.b9 -->
-<hibernate-mapping>
-    <class name="com.ether.Parameter" table="parametre" schema="public">
-        <comment>Table enumerant les differents parametres de mesure</comment>
-        <id name="id" type="int">
-            <column name="parametre_id" />
-            <!--<generator class="sequence">-->
-            <!--<param name="sequence">parametre_parametre_id_seq</param>-->
-            <!--</generator>-->
-        </id>
-
-        <property name="name" type="string">
-            <column name="parametre_nom" length="100" not-null="true">
-                <comment>nom du parametre</comment>
-            </column>
-        </property>
-
-        <set name="plateformes" inverse="true" table="requete_plat_param">
-            <key>
-                <column name="parametre_id" not-null="true">
-                    <comment>lien vers la table parametre</comment>
-                </column>
-            </key>
-            <many-to-many entity-name="com.ether.Plateform">
-                <column name="plateforme_id" not-null="true">
-                    <comment>lien vers la table plateforme</comment>
-                </column>
-            </many-to-many>
-        </set>
-    </class>
-</hibernate-mapping>
Index: tapas/persistence/implementation/com/ether/dao/ParameterDAOImpl.java
===================================================================
--- tapas/persistence/implementation/com/ether/dao/ParameterDAOImpl.java	(revision 410)
+++ 	(revision )
@@ -1,38 +1,0 @@
-package com.ether.dao;
-
-import com.ether.Parameter;
-import com.ether.PersistenceException;
-import org.hibernate.criterion.DetachedCriteria;
-import org.hibernate.criterion.Order;
-import org.hibernate.criterion.Restrictions;
-import org.jetbrains.annotations.NotNull;
-import org.jetbrains.annotations.Nullable;
-
-import java.util.List;
-
-/**
- * @author vmipsl
- * @date may 2011
- * Example for a DAO
- */
-public class ParameterDAOImpl
-        extends DomainAccessObjectImpl<Parameter, Integer>
-        implements ParameterDAO
-{
-    protected ParameterDAOImpl()
-    {
-        super( Parameter.class );
-    }
-
-    @Nullable
-    public List<Parameter> getAllParametersByPlateformId(@NotNull final Integer plateformId )
-            throws PersistenceException
-    {
-        final DetachedCriteria criteria = DetachedCriteria.forClass(Parameter.class, "parameter")
-            .createCriteria("plateformes")
-            .add(Restrictions.eq("id", plateformId))
-            .addOrder( Order.asc( "parameter.name" ));
-
-        return selectAllByCriteria(Parameter.class, criteria);
-    }
-}
Index: tapas/persistence/implementation/com/ether/dao/Parameter_old.hbm.xml
===================================================================
--- tapas/persistence/implementation/com/ether/dao/Parameter_old.hbm.xml	(revision 410)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?xml version="1.0"?>
-<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
-        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
-<hibernate-mapping default-cascade="save-update" auto-import="false">
-
-	<class name="com.ether.Parameter" table="parameter">
-
-		<id name="id">
-			<column name="parametre_id" />
-			<generator class="increment" />
-
-			<!-- <generator class="sequence"> -->
-			<!-- <param name="sequence">S_TABLE_TEST</param> -->
-			<!-- </generator> -->
-		</id>
-
-		<property name="name">
-			<column name="parametre_nom"/>
-		</property>
-
-        <set name="plateformes" inverse="true" table="requete_plat_param">
-            <key>
-                <column name="parametre_id" not-null="true">
-                    <comment>lien vers la table parametre</comment>
-                </column>
-            </key>
-            <many-to-many entity-name="com.ether.Plateform">
-                <column name="plateforme_id" not-null="true">
-                    <comment>lien vers la table plateforme</comment>
-                </column>
-            </many-to-many>
-        </set>
-
-	</class>
-
-
-
-</hibernate-mapping>
-
Index: tapas/persistence/implementation/com/ether/dao/PlateformDAOImpl.java
===================================================================
--- tapas/persistence/implementation/com/ether/dao/PlateformDAOImpl.java	(revision 410)
+++ tapas/persistence/implementation/com/ether/dao/PlateformDAOImpl.java	(revision 412)
@@ -1,7 +1,6 @@
 package com.ether.dao;
 
-import com.ether.Parameter;
+import com.ether.PersistenceException;
 import com.ether.Plateform;
-import com.ether.PersistenceException;
 import org.hibernate.criterion.DetachedCriteria;
 import org.hibernate.criterion.Restrictions;
Index: tapas/persistence/implementation/dao-context.xml
===================================================================
--- tapas/persistence/implementation/dao-context.xml	(revision 410)
+++ tapas/persistence/implementation/dao-context.xml	(revision 412)
@@ -5,10 +5,4 @@
 <beans>
     <bean id="refPlateformDAO" class="com.ether.dao.PlateformDAOImpl">
-        <property name="sessionFactory">
-            <ref bean="sessionFactory"/>
-        </property>
-    </bean>
-
-    <bean id="refParameterDAO" class="com.ether.dao.ParameterDAOImpl">
         <property name="sessionFactory">
             <ref bean="sessionFactory"/>
Index: tapas/persistence/interface/com/ether/dao/ParameterDAO.java
===================================================================
--- tapas/persistence/interface/com/ether/dao/ParameterDAO.java	(revision 410)
+++ 	(revision )
@@ -1,20 +1,0 @@
-package com.ether.dao;
-
-import com.ether.Parameter;
-import com.ether.PersistenceException;
-import org.jetbrains.annotations.NotNull;
-import org.jetbrains.annotations.Nullable;
-
-import java.util.List;
-
-/**
- * @author vmipsl
- * @date may 2011
- * Example for a DAO
- */
-public interface ParameterDAO
-	extends DomainAccessObject<Parameter, Integer>
-{
-    @Nullable
-    List<Parameter> getAllParametersByPlateformId( @NotNull final Integer plateformId ) throws PersistenceException;
-}