Index: /ether_ndacc/trunk/web/data_ohp.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_ohp.jsp	(revision 428)
+++ /ether_ndacc/trunk/web/data_ohp.jsp	(revision 429)
@@ -232,7 +232,7 @@
 </td>
 
-<td class="orange" nowrap>
+<td class="orange" nowrap align=center>
     <a href="" title="Results" onclick="OuvrirFeuilleDynW ('instrument?methodName=selectEccRT&instrument=ECC&dateinf=19700101&station=OHP&type=rt#','700','650')">
-    <img border=1 src="resources/images/results.jpg" width="60px"></img>
+    <img border=1 src="resources/images/chrono.jpg" width="50px" height="40px"></img>
     </a>
 
Index: /ether_ndacc/trunk/web/data_scorebysund.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_scorebysund.jsp	(revision 428)
+++ /ether_ndacc/trunk/web/data_scorebysund.jsp	(revision 429)
@@ -108,5 +108,5 @@
 <br><i>pattern files : sctc[yy][mm].*</i></td>
     <td class="orange" align="center" width=11%>
-        <a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=sod')"><img border=1 src="resources/images/results.jpg" width="60px"></img></a>
+        <a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=sco')"><img border=1 src="resources/images/results.jpg" width="60px"></img></a>
     </td>
 
Index: /ether_ndacc/trunk/web/src/com/ether/Controller.java
===================================================================
--- /ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 428)
+++ /ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 429)
@@ -238,5 +238,5 @@
 
     @ControllerMethod(view = VIEW_ECC_RT)
-        public Map<String, Object> selectEccRT( @ParamName("dateinf") final String dateinf,
+        public Map<String, Object> selectEccRT( @ParamName("dateinf") String dateinf,
                                               @ParamName("station") String station,
                                               @ParamName("instrument") final String instrument,
@@ -247,11 +247,8 @@
             {
 
-                final List<String> plotsList = _plotService.getPlotsByDateByInstrumentByStationByType( instrument, dateinf, "yyyyMMdd", station, type );
-
-                //dateinf="02021980";
-                //List<String> ListDates = _plotService.getLastDate(instrument);
-                final List<String> listeDates = _serviceTools.getListeDates();
+
                 String rep = "";
                 String year = dateinf.substring( 0, 4 );
+                String month= dateinf.substring( 4, 6 );
 
                 if( station.compareTo( "OHP" ) == 0 || station.compareTo( "ohp" ) == 0 )
@@ -259,5 +256,8 @@
                     rep = "./resources/visu/ohp/ecc";
                     station = "OHP";
-                    if( year.compareTo( "1970" ) == 0 ) year = "2012";
+                    if( year.compareTo( "1970" ) == 0 ) {
+                            year = "2012";
+                            month = "01";
+                    }
                 }
                 else if( station.compareTo( "LA REUNION" ) == 0 || station.compareTo( "reunion" ) == 0 )
@@ -278,14 +278,26 @@
                 }
 
+
+                dateinf=year+month+"01";
+                final List<String> plotsList = _plotService.getPlotsByDateByInstrumentByStationByType( instrument, dateinf, "yyyyMMdd", station, type );
+
+
+                //dateinf="02021980";
+                //List<String> ListDates = _plotService.getLastDate(instrument);
+                final List<String> listeDates = _serviceTools.getListeDates();
                 final Map<String, Object> model = new HashMap<String, Object>();
+
                 model.put( "plotsList", plotsList );
                 model.put( "listeDates", listeDates );
                 model.put( "firstDate", dateinf );
-                final String month = dateinf.substring( 4, 6 );
+
                 model.put( "month", month );
                 model.put( "year", year );
                 model.put( "station", station );
+
+               // model.put( "dateinf", dateinf );
                 model.put( "rep", rep );
                 return model;
+
             }
             catch( ServiceException e )
@@ -464,10 +476,6 @@
         try
         {
-
-            List<String> plotsList = _plotService.getPlotsByDateByInstrumentByStation( instrument, dateinf, "yyyyMMdd", station );
-
             //dateinf="02021980";
             //List<String> ListDates = _plotService.getLastDate(instrument);
-            final List<String> listeDates = _serviceTools.getListeDates();
             String rep = "";
             String year = dateinf.substring( 0, 4 );
@@ -482,4 +490,14 @@
                 dateinf = year + month + "03";
             }
+
+//            dateinf="20120101";
+            dateinf=year+month+"01";
+            List<String> plotsList = _plotService.getPlotsByDateByInstrumentByStation( instrument, dateinf, "yyyyMMdd", station );
+            final List<String> listeDates = _serviceTools.getListeDates();
+
+            final Map<String, Object> model = new HashMap<String, Object>();
+
+            model.put( "plotsList", plotsList );
+
 
 
@@ -496,4 +514,6 @@
             mView.put( "station", station );
             mView.put( "rep", rep );
+
+
 
             return mView;