Index: ether_ndacc/trunk/common/Common.iml
===================================================================
--- ether_ndacc/trunk/common/Common.iml	(revision 432)
+++ ether_ndacc/trunk/common/Common.iml	(revision 434)
@@ -1,5 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <module type="JAVA_MODULE" version="4">
-  <component name="NewModuleRootManager" inherit-compiler-output="true">
+  <component name="NewModuleRootManager" inherit-compiler-output="false">
+    <output url="file://$MODULE_DIR$/../web/WEB-INF/classes" />
+    <output-test url="file://$MODULE_DIR$/../out/test/Common" />
     <exclude-output />
     <content url="file://$MODULE_DIR$">
Index: ether_ndacc/trunk/persistence/Persistence.iml
===================================================================
--- ether_ndacc/trunk/persistence/Persistence.iml	(revision 432)
+++ ether_ndacc/trunk/persistence/Persistence.iml	(revision 434)
@@ -9,5 +9,7 @@
     </facet>
   </component>
-  <component name="NewModuleRootManager" inherit-compiler-output="true">
+  <component name="NewModuleRootManager" inherit-compiler-output="false">
+    <output url="file://$MODULE_DIR$/../web/WEB-INF/classes" />
+    <output-test url="file://$MODULE_DIR$/../out/test/Persistence" />
     <exclude-output />
     <content url="file://$MODULE_DIR$">
Index: ether_ndacc/trunk/service/Service.iml
===================================================================
--- ether_ndacc/trunk/service/Service.iml	(revision 432)
+++ ether_ndacc/trunk/service/Service.iml	(revision 434)
@@ -1,5 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <module type="JAVA_MODULE" version="4">
-  <component name="NewModuleRootManager" inherit-compiler-output="true">
+  <component name="NewModuleRootManager" inherit-compiler-output="false">
+    <output url="file://$MODULE_DIR$/../web/WEB-INF/classes" />
+    <output-test url="file://$MODULE_DIR$/../out/test/Service" />
     <exclude-output />
     <content url="file://$MODULE_DIR$">
Index: ether_ndacc/trunk/web/Web.iml
===================================================================
--- ether_ndacc/trunk/web/Web.iml	(revision 432)
+++ ether_ndacc/trunk/web/Web.iml	(revision 434)
@@ -25,5 +25,7 @@
     </facet>
   </component>
-  <component name="NewModuleRootManager" inherit-compiler-output="true">
+  <component name="NewModuleRootManager" inherit-compiler-output="false">
+    <output url="file://$MODULE_DIR$/WEB-INF/classes" />
+    <output-test url="file://$MODULE_DIR$/../out/test/Web" />
     <exclude-output />
     <content url="file://$MODULE_DIR$">
Index: ether_ndacc/trunk/web/src/com/ether/Controller.java
===================================================================
--- ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 432)
+++ ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 434)
@@ -12,4 +12,5 @@
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
+import java.util.ArrayList;
 import java.util.Date;
 import java.util.HashMap;
@@ -283,8 +284,9 @@
                 dateinf=year+month+"01";
                 final List<String> plotsList = _plotService.getPlotsByDateByInstrumentByStationByType( instrument, dateinf, "yyyyMMdd", station, type );
-                String[] labelDates = new String[plotsList.size()];
-
-                for (int i=0 ; i<plotsList.size() ; i++) {
-                     labelDates[0]=plotsList.get( 0 ).substring(0,6);
+                String[] labelPlots = new String[plotsList.size()];
+
+                for (Integer i=0 ; i<plotsList.size() ; i++) {
+                        //temp=
+                        labelPlots[i]=plotsList.get( i ).substring(5,9)+"/"+plotsList.get( i ).substring(9,11)+"/"+plotsList.get( i ).substring(11,13);
                 }
 
@@ -297,4 +299,5 @@
                 model.put( "listeDates", listeDates );
                 model.put( "firstDate", dateinf );
+                model.put( "labelPlots", labelPlots );
 
                 model.put( "month", month );
Index: ether_ndacc/trunk/web/visus_ecc_realtime.jsp
===================================================================
--- ether_ndacc/trunk/web/visus_ecc_realtime.jsp	(revision 432)
+++ ether_ndacc/trunk/web/visus_ecc_realtime.jsp	(revision 434)
@@ -73,7 +73,9 @@
 		</c:when>
 		</c:choose>
-	
-		<td align=center valign=top><a href="#" onclick="OuvrirFeuilleDynPL ('${rep}/${plot}');"><img border=2 width=100 height=120 src="${rep}/${plot}"></img></a></td>
-	
+
+		<td align=center valign=top><a href="#" onclick="OuvrirFeuilleDynPL ('${rep}/${plot}');"><img border=2 width=100 height=120 src="${rep}/${plot}"></img></a>
+        <br>${labelPlots[status.index]}
+        </td>
+
 		<c:choose>
 		<c:when test="${(status.index+1) % 5 == 0}"></tr>