Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Adresse.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Adresse.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Adresse.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Bilan.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Bilan.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Bilan.java	(revision 456)
@@ -1,4 +1,4 @@
 package com.medias.database.objects;
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 import java.util.Date;
 
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Capteur.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Capteur.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Capteur.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.Comparator;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Categorie.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Categorie.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Categorie.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/CategorieParam.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/CategorieParam.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/CategorieParam.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Commentaire.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Commentaire.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Commentaire.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/DeltaMesure.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/DeltaMesure.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/DeltaMesure.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Fabriquant.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Fabriquant.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Fabriquant.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Fichier.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Fichier.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Fichier.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.math.BigDecimal;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Flag.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Flag.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Flag.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Jeu.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Jeu.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Jeu.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.Date;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Langue.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Langue.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Langue.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Localisation.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Localisation.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Localisation.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Mesure.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Mesure.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Mesure.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.Date;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Organisme.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Organisme.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Organisme.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Parametre.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Parametre.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Parametre.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.Comparator;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Personne.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Personne.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Personne.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Plateforme.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Plateforme.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Plateforme.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.Comparator;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/RequeteNbvalsJeu.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/RequeteNbvalsJeu.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/RequeteNbvalsJeu.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 /**
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/RequetePlatLoc.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/RequetePlatLoc.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/RequetePlatLoc.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 /**
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Sequence.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Sequence.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Sequence.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.Date;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/TypeCapteur.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/TypeCapteur.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/TypeCapteur.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/TypePlateforme.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/TypePlateforme.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/TypePlateforme.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Unite.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Unite.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Unite.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Valeur.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Valeur.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Valeur.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 /**
Index: /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Zone.java
===================================================================
--- /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Zone.java	(revision 455)
+++ /ether_megapoli/trunk/domain/interface/com/medias/database/objects/Zone.java	(revision 456)
@@ -1,5 +1,5 @@
 package com.medias.database.objects;
 
-// Generated 5 fï¿œvr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
+// Generated 5 fÃ©vr. 2007 11:07:11 by Hibernate Tools 3.2.0.b9
 
 import java.util.HashSet;
Index: /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/external/jquery.metadata.js
===================================================================
--- /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/external/jquery.metadata.js	(revision 455)
+++ /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/external/jquery.metadata.js	(revision 456)
@@ -2,5 +2,5 @@
  * Metadata - jQuery plugin for parsing metadata from elements
  *
- * Copyright (c) 2006 John Resig, Yehuda Katz, Jï¿œÃ¶rn Zaefferer, Paul McLanahan
+ * Copyright (c) 2006 John Resig, Yehuda Katz, JÃ©Ã¶rn Zaefferer, Paul McLanahan
  *
  * Dual licensed under the MIT and GPL licenses:
Index: /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/ui/i18n/jquery-ui-i18n.js
===================================================================
--- /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/ui/i18n/jquery-ui-i18n.js	(revision 455)
+++ /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/ui/i18n/jquery-ui-i18n.js	(revision 456)
@@ -467,5 +467,5 @@
 	$.datepicker.setDefaults($.datepicker.regional['fa']);
 });/* Finnish initialisation for the jQuery UI date picker plugin. */
-/* Written by Harri Kilpiï¿œ (harrikilpio@gmail.com). */
+/* Written by Harri KilpiÃ© (harrikilpio@gmail.com). */
 jQuery(function($){
     $.datepicker.regional['fi'] = {
Index: /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/ui/i18n/jquery.ui.datepicker-fi.js
===================================================================
--- /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/ui/i18n/jquery.ui.datepicker-fi.js	(revision 455)
+++ /ether_megapoli/trunk/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/ui/i18n/jquery.ui.datepicker-fi.js	(revision 456)
@@ -1,4 +1,4 @@
 /* Finnish initialisation for the jQuery UI date picker plugin. */
-/* Written by Harri Kilpiï¿œ (harrikilpio@gmail.com). */
+/* Written by Harri KilpiÃ© (harrikilpio@gmail.com). */
 jQuery(function($){
     $.datepicker.regional['fi'] = {