Index: isa/.idea/artifacts/artifact_geisa.xml
===================================================================
--- /geisa/.idea/artifacts/artifact_geisa.xml	(revision 478)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<component name="ArtifactManager">
-  <artifact type="exploded-war" build-on-make="true" name="artifact_geisa">
-    <output-path>$PROJECT_DIR$/out/artifacts/artifact_geisa</output-path>
-    <root id="root">
-      <element id="directory" name="WEB-INF">
-        <element id="directory" name="classes">
-          <element id="module-output" name="Web" />
-          <element id="module-output" name="Common" />
-          <element id="module-output" name="Domain" />
-          <element id="module-output" name="Service" />
-          <element id="module-output" name="Persistence" />
-        </element>
-        <element id="directory" name="lib" />
-      </element>
-      <element id="javaee-facet-resources" facet="Web/web/Web" />
-    </root>
-  </artifact>
-</component>
Index: /geisa/.idea/artifacts/geisa.xml
===================================================================
--- /geisa/.idea/artifacts/geisa.xml	(revision 479)
+++ /geisa/.idea/artifacts/geisa.xml	(revision 479)
@@ -0,0 +1,18 @@
+<component name="ArtifactManager">
+  <artifact type="war" build-on-make="true" name="geisa">
+    <output-path>$PROJECT_DIR$/out/artifacts/geisa</output-path>
+    <root id="archive" name="geisa.war">
+      <element id="directory" name="WEB-INF">
+        <element id="directory" name="classes">
+          <element id="module-output" name="Web" />
+          <element id="module-output" name="Common" />
+          <element id="module-output" name="Domain" />
+          <element id="module-output" name="Service" />
+          <element id="module-output" name="Persistence" />
+        </element>
+        <element id="directory" name="lib" />
+      </element>
+      <element id="javaee-facet-resources" facet="Web/web/Web" />
+    </root>
+  </artifact>
+</component>
Index: /geisa/.idea/inspectionProfiles/Project_Default.xml
===================================================================
--- /geisa/.idea/inspectionProfiles/Project_Default.xml	(revision 478)
+++ /geisa/.idea/inspectionProfiles/Project_Default.xml	(revision 479)
@@ -272,7 +272,5 @@
     <inspection_tool class="ConditionalExpressionWithIdenticalBranchesJS" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="ConflictingAnnotations" enabled="false" level="WARNING" enabled_by_default="false" />
-    <inspection_tool class="ConfusingElse" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="reportWhenNoStatementFollow" value="false" />
-    </inspection_tool>
+    <inspection_tool class="ConfusingElse" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="ConfusingFloatingPointLiteral" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="ConfusingFloatingPointLiteralJS" enabled="false" level="WARNING" enabled_by_default="false" />
@@ -916,7 +914,5 @@
     <inspection_tool class="IntLiteralMayBeLongLiteral" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="IntegerDivisionInFloatingPointContext" enabled="false" level="WARNING" enabled_by_default="false" />
-    <inspection_tool class="IntegerMultiplicationImplicitCastToLong" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreNonOverflowingCompileTimeConstants" value="true" />
-    </inspection_tool>
+    <inspection_tool class="IntegerMultiplicationImplicitCastToLong" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="IntentionDescriptionNotFoundInspection" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="InterceptionAnnotationWithoutRuntimeRetention" enabled="false" level="WARNING" enabled_by_default="false" />
@@ -961,5 +957,4 @@
       <group names="x,width,left,right" />
       <group names="y,height,top,bottom" />
-      <exclude classes="Math" />
     </inspection_tool>
     <inspection_tool class="JSUndeclaredVariable" enabled="true" level="INFO" enabled_by_default="true" />
@@ -1149,10 +1144,6 @@
     <inspection_tool class="MismatchedArrayReadWrite" enabled="true" level="WARNING" enabled_by_default="true" />
     <inspection_tool class="MismatchedCollectionQueryUpdate" enabled="true" level="WARNING" enabled_by_default="true">
-      <option name="queryNames">
-        <value />
-      </option>
-      <option name="updateNames">
-        <value />
-      </option>
+      <option name="queries" value="copyInto,drainTo,propertyNames,save,store,write" />
+      <option name="updates" value="add,clear,drainTo,insert,load,offer,poll,push,put,remove,replace,retain,set,take" />
     </inspection_tool>
     <inspection_tool class="MismatchedStringBuilderQueryUpdate" enabled="false" level="WARNING" enabled_by_default="false" />
@@ -1256,5 +1247,4 @@
     <inspection_tool class="NonReproducibleMathCall" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="NonSerializableFieldInSerializableClass" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreAnonymousInnerClasses" value="false" />
       <option name="superClassString" value="java.awt.Component" />
     </inspection_tool>
@@ -1285,5 +1275,4 @@
       <option name="REPORT_NOT_ANNOTATED_SETTER_PARAMETER" value="true" />
       <option name="REPORT_ANNOTATION_NOT_PROPAGATED_TO_OVERRIDERS" value="true" />
-      <option name="REPORT_NULLS_PASSED_TO_NON_ANNOTATED_METHOD" value="true" />
     </inspection_tool>
     <inspection_tool class="NumberEquality" enabled="true" level="WARNING" enabled_by_default="true" />
@@ -1310,7 +1299,5 @@
     <inspection_tool class="OneWayWebMethod" enabled="false" level="ERROR" enabled_by_default="false" />
     <inspection_tool class="OrredNotEqualExpression" enabled="false" level="WARNING" enabled_by_default="false" />
-    <inspection_tool class="OverloadedMethodsWithSameNumberOfParameters" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreInconvertibleTypes" value="true" />
-    </inspection_tool>
+    <inspection_tool class="OverloadedMethodsWithSameNumberOfParameters" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="OverloadedVarargsMethod" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="OverlyComplexArithmeticExpression" enabled="false" level="WARNING" enabled_by_default="false">
@@ -1450,7 +1437,5 @@
       <option name="ignoreEnums" value="false" />
     </inspection_tool>
-    <inspection_tool class="PublicMethodNotExposedInInterface" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="onlyWarnIfContainingClassImplementsAnInterface" value="false" />
-    </inspection_tool>
+    <inspection_tool class="PublicMethodNotExposedInInterface" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="PublicMethodWithoutLogging" enabled="false" level="WARNING" enabled_by_default="false">
       <option name="loggerClassName" value="java.util.logging.Logger" />
@@ -1528,5 +1513,4 @@
       <option name="m_reportArrayMethods" value="true" />
       <option name="m_reportCollectionMethods" value="true" />
-      <option name="m_ignorePrivateMethods" value="false" />
     </inspection_tool>
     <inspection_tool class="ReturnOfCollectionField" enabled="false" level="WARNING" enabled_by_default="false">
@@ -1562,17 +1546,13 @@
     <inspection_tool class="SerializableClassInSecureContext" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="SerializableHasSerialVersionUIDField" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreAnonymousInnerClasses" value="false" />
       <option name="superClassString" value="java.awt.Component" />
     </inspection_tool>
     <inspection_tool class="SerializableHasSerializationMethods" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreAnonymousInnerClasses" value="false" />
       <option name="superClassString" value="java.awt.Component" />
     </inspection_tool>
     <inspection_tool class="SerializableInnerClassHasSerialVersionUIDField" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreAnonymousInnerClasses" value="false" />
       <option name="superClassString" value="java.awt.Component" />
     </inspection_tool>
     <inspection_tool class="SerializableInnerClassWithNonSerializableOuterClass" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreAnonymousInnerClasses" value="false" />
       <option name="superClassString" value="java.awt.Component" />
     </inspection_tool>
@@ -1700,5 +1680,4 @@
       <option name="ignoreSystemOuts" value="false" />
       <option name="ignoreSystemErrs" value="false" />
-      <option name="ignoreThrowableArguments" value="false" />
     </inspection_tool>
     <inspection_tool class="StringConcatenationInFormatCall" enabled="false" level="WARNING" enabled_by_default="false" />
@@ -1879,7 +1858,5 @@
     <inspection_tool class="UnknownGuard" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="UnknownLanguage" enabled="false" level="ERROR" enabled_by_default="false" />
-    <inspection_tool class="UnnecessarilyQualifiedInnerClassAccess" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreReferencesToForeignInnerClasses" value="false" />
-    </inspection_tool>
+    <inspection_tool class="UnnecessarilyQualifiedInnerClassAccess" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="UnnecessarilyQualifiedStaticUsage" enabled="false" level="WARNING" enabled_by_default="false">
       <option name="m_ignoreStaticFieldAccesses" value="false" />
@@ -1909,7 +1886,5 @@
     <inspection_tool class="UnnecessaryInheritDoc" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="UnnecessaryInterfaceModifier" enabled="false" level="WARNING" enabled_by_default="false" />
-    <inspection_tool class="UnnecessaryJavaDocLink" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreInlineLinkToSuper" value="false" />
-    </inspection_tool>
+    <inspection_tool class="UnnecessaryJavaDocLink" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="UnnecessaryLabelJS" enabled="true" level="WARNING" enabled_by_default="true" />
     <inspection_tool class="UnnecessaryLabelOnBreakStatement" enabled="true" level="WARNING" enabled_by_default="true" />
@@ -1948,7 +1923,5 @@
     </inspection_tool>
     <inspection_tool class="UnqualifiedFieldAccess" enabled="false" level="WARNING" enabled_by_default="false" />
-    <inspection_tool class="UnqualifiedInnerClassAccess" enabled="false" level="WARNING" enabled_by_default="false">
-      <option name="ignoreReferencesToLocalInnerClasses" value="false" />
-    </inspection_tool>
+    <inspection_tool class="UnqualifiedInnerClassAccess" enabled="false" level="WARNING" enabled_by_default="false" />
     <inspection_tool class="UnqualifiedStaticUsage" enabled="false" level="WARNING" enabled_by_default="false">
       <option name="m_ignoreStaticFieldAccesses" value="false" />
Index: /geisa/.idea/libraries/lib.xml
===================================================================
--- /geisa/.idea/libraries/lib.xml	(revision 478)
+++ /geisa/.idea/libraries/lib.xml	(revision 479)
@@ -35,10 +35,8 @@
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/jstl-2.4.jar.zip!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/commons-validator.jar!/" />
-      <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/sgt_v30.jar!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/myfaces-api-1.2.6.jar!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/jdom.jar!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/spring-orm.jar!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/ezmorph.jar!/" />
-      <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/jasper-6.0.18.jar!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/spring-oxm.jar!/" />
       <root url="jar://$PROJECT_DIR$/web/WEB-INF/lib/spring-beans.jar!/" />